AOZ Studio Beta - Bug #138

Dir - dir$ errors
02/06/2020 12:54 PM - Nick Morison

Status: Closed Start date: 02/06/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.5

Affected version: Beta RC2

Description

In the below the loadiff finds the logo file fine and displays it, however when trying to do a directory of the "drive" (or the iff subfolder)
with the dir command, or when trying to set the directory with dir$ Aoz reports back a drive not found error:

#manifest:"amiga"
#speed:"safe"
#fullScreen:true
#splashScreen:false

//dir "AMOSPro_Examples:" // drive not found error
//dir$="AMOSPro_Examples:"// drive not found error

Load Iff "AMOSPro_Examples:iff/Logo.iff", 0 // obviously works fine
wait key

History

#1 - 02/22/2020 06:18 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.5

Fixed!

#2 - 03/07/2020 01:48 PM - Baptiste Pillot
- Description updated

- Status changed from Resolved to Feedback

v0.9.6 : The code "as this" does not work anymore, for me (VisualStudioCode / Windows).

#3 - 09/07/2020 08:28 AM - Brian Flanagan
- Affected version changed from 0.9.4 to 0.9.9.4-RC1

Tested in 0.9.9.4-RC1
Dir and Dir$ are still not working. (though they were working previously)

#4 - 09/21/2020 08:07 AM - Brian Flanagan
- Status changed from Feedback to Closed
- Affected version changed from 0.9.9.4-RC1 to Beta RC2

Re-tested in Beta RC2. Sitill fails. Duplicated as bug #511.
Closing this bug, and adding this to Bug #511, as it has additional information in it.
